Package org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl

# Class AbstractTableOrTreeMergeViewer.ElementComparer

java.lang.Object
org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl.AbstractTableOrTreeMergeViewer.ElementComparer

All Implemented Interfaces:
  `org.eclipse.jface.viewers.IElementComparer`

Enclosing class:
  AbstractTableOrTreeMergeViewer

public static final class AbstractTableOrTreeMergeViewer.ElementComparer extends Object implements org.eclipse.jface.viewers.IElementComparer
A specific implementation of `IElementComparer` that compare EMF Compare Viewer Items.

Since:
  4.0

## Constructor Summary

Constructors
Constructor
Description
`ElementComparer()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object a, Object b)`
.
`int`
`hashCode(Object element)`
.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ElementComparer

public ElementComparer()

## Method Details

### hashCode

public int hashCode(Object element)
.

Specified by:
  `hashCode` in interface `org.eclipse.jface.viewers.IElementComparer`

### equals

public boolean equals(Object a, Object b)
.

Specified by:
  `equals` in interface `org.eclipse.jface.viewers.IElementComparer`